Import VM setup scripts
Imported from:
https://robotics.mvla.net/svn/frc971/2016/trunk/src/vagrant_dev_vm/
Change-Id: I4b4c50262d24b1c5d293f4a518525ee28c6db003
diff --git a/vm/setup_apt.sh b/vm/setup_apt.sh
new file mode 100755
index 0000000..d31a372
--- /dev/null
+++ b/vm/setup_apt.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -e
+set -u
+
+export DEBIAN_FRONTEND=noninteractive
+
+# Set up contrib and non-free so we can install some more interesting programs.
+cat > /etc/apt/sources.list.d/contrib.list <<EOT
+deb http://ftp.us.debian.org/debian/ jessie contrib non-free
+deb-src http://ftp.us.debian.org/debian/ jessie contrib non-free
+EOT
+
+# Get a list of the latest packages.
+apt-get update